Bug 965728 - Please remove sendmail from "default" in comps
Please remove sendmail from "default" in comps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 11:41 EDT by Lennart Poettering
Modified: 2014-03-16 23:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-19 19:06:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2013-05-21 11:41:18 EDT
Following the current discussion on fedora-devel it appears to me that people are generally in favour of removing sendmail from the default install (even though there is vocal opposition).

Here's why sendmail should go:

- It is not useful in its default configuration. Remote direct delivery doesn't work anymore on today's internet as most servers will refuse this from abitrary clients. For local delivery everything is currently going to root. However, that's suboptimal, as we do not advocate reading mails as root, and admins who do not check root's mailbox might end up with /var/mail being flooded.

- sendmail is probably the worst choice as an MTA anyway. People who actually want to use local mail delivery tend to install a mailer such as postfix anyway.

- Our desktop MUAs (such as Thunderbird, ...) generally do not check local mail.

- Services such as cronie generally log output too these days, so no data is lost and log output is centralized already.

*** The main reason though here is that a package which is not useful in its default configuration really should not be in the default install and receive client requests. ***

I am aware that there are packages which currently require an MTA to be around, but those pull in the MTA via rpm deps anyway (or, if they aren't should be fixed).
Comment 1 Matthew Miller 2013-05-21 12:50:44 EDT
I'm in favor of doing this as an F20 feature, with the feature work being 

1. release notes, obviously
2. checking to make sure that those MTA deps are there
3. optionally, updating more services (e.g. raid alerts) to use the journal
Comment 2 Matthew Miller 2013-05-21 13:30:52 EDT
On the 'sendmail is the worst' point, for an otherwise minimal system, we get:


mta               other packages pulled in            total size on disk
sendmail          cyrus-sasl, hesiod, procmail        2.1M
postfix           mariadb-libs                        16M (!)
exim              libgsasl, libntlm, perl, perl mods  40M (!)


I like postfix, but if we _are_ going to pull in an MTA, sendmail is certainly the most lightweight on disk of what we have, at least without some refactoring.

(And, ignoring ssmtp, which pulls in nothing else and is only 74k, but which is useless without configuration.)
Comment 3 Bill Nottingham 2013-05-21 15:44:57 EDT
The one concern I have with dropping sendmail from its specfic mention in comps is that having it there usefully defines a default other than whatver yum decides to provide. But given how few things require a MTA, it's probably fine to let it just be "the admin chooses".
Comment 4 Fedora End Of Life 2013-09-16 09:59:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Kevin Fenzi 2013-10-19 19:06:31 EDT
Done in f29441e1ad38a8def5c3fbabf5abbd4b3cb4225e in comps.

Note You need to log in before you can comment on or make changes to this bug.